<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
import * as types from './store/types';
export default {
  created: function () {
    this.$store.commit(types.MUTATE_REQ_PERMISSION)
    this.$messaging.onTokenRefresh(() => {
      console.log('onTokenRefresh');
      this.$store.commit(types.MUTATE_SET_TOKEN, { vm: this })
    })
    this.$store.commit(types.MUTATE_SET_TOKEN, { vm: this })

    this.$messaging.onMessage((payload) => {
      console.log('Message received. ', payload)
    })
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
